package com.securitycontrol.background.service;

import com.securitycontrol.entity.background.dto.VehicleDto;
import com.securitycontrol.entity.background.vo.VehicleVo;
import com.securitycontrol.common.core.web.domain.AjaxResult;

import java.util.List;

/**
 * 车辆管理
 * @author 黑子
 */
public interface VehicleService {

    /**
     * 获取车辆列表
     * @param dto
     * @return
     */
    List<VehicleVo> getVehicleLists(VehicleVo dto);

    /**
     * 新增/修改
     * @param vo
     * @return
     */
    AjaxResult addOrUpdateVehicle(VehicleVo vo);


    /**
     * 删除
     * @param dto
     * @return
     */
    AjaxResult delVehicleById(VehicleVo dto);

    /**
     * 查询集合
     * @param dto
     * @return
     */
    List<VehicleVo> getLists(VehicleVo dto);

    /**
     * 查询集合
     * @param dto
     * @return
     */
    List<VehicleDto> getListsDto(VehicleDto dto);
}
